<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.mytextbrowser.myTextBrowser</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1mytextbrowser_1_1myTextBrowser.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="classsrc_1_1mytextbrowser_1_1myTextBrowser-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.mytextbrowser.myTextBrowser</div>  </div>
</div><!--header-->
<div class="contents">

<p>Une classe qui ouvre Firefox quand on clique sur un lien externe.  
 <a href="classsrc_1_1mytextbrowser_1_1myTextBrowser.html#details">Plus de détails...</a></p>
<div class="dynheader">
Graphe d'héritage de src.mytextbrowser.myTextBrowser:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1mytextbrowser_1_1myTextBrowser__inherit__graph.png" border="0" usemap="#src_8mytextbrowser_8myTextBrowser_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8mytextbrowser_8myTextBrowser_inherit__map" id="src_8mytextbrowser_8myTextBrowser_inherit__map">
<area shape="rect" title="Une classe qui ouvre Firefox quand on clique sur un lien externe." alt="" coords="5,80,177,121"/>
<area shape="rect" href="classQTextBrowser.html" title=" " alt="" coords="39,5,144,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.mytextbrowser.myTextBrowser:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1mytextbrowser_1_1myTextBrowser__coll__graph.png" border="0" usemap="#src_8mytextbrowser_8myTextBrowser_coll__map" alt="Collaboration graph"/></div>
<map name="src_8mytextbrowser_8myTextBrowser_coll__map" id="src_8mytextbrowser_8myTextBrowser_coll__map">
<area shape="rect" title="Une classe qui ouvre Firefox quand on clique sur un lien externe." alt="" coords="5,80,177,121"/>
<area shape="rect" href="classQTextBrowser.html" title=" " alt="" coords="39,5,144,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a766c57d93e23d3884cea57cd87710c89"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mytextbrowser_1_1myTextBrowser.html#a766c57d93e23d3884cea57cd87710c89">setSource</a> (self, url)</td></tr>
<tr class="memdesc:a766c57d93e23d3884cea57cd87710c89"><td class="mdescLeft">&#160;</td><td class="mdescRight">lance Firefox en tâche de fond.  <a href="classsrc_1_1mytextbrowser_1_1myTextBrowser.html#a766c57d93e23d3884cea57cd87710c89">Plus de détails...</a><br /></td></tr>
<tr class="separator:a766c57d93e23d3884cea57cd87710c89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac27da9805208f57e8a21cc327df19915"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mytextbrowser_1_1myTextBrowser.html#ac27da9805208f57e8a21cc327df19915">setHtml</a> (self, url)</td></tr>
<tr class="memdesc:ac27da9805208f57e8a21cc327df19915"><td class="mdescLeft">&#160;</td><td class="mdescRight">lien vers la méthode setSource originale  <a href="classsrc_1_1mytextbrowser_1_1myTextBrowser.html#ac27da9805208f57e8a21cc327df19915">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac27da9805208f57e8a21cc327df19915"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Une classe qui ouvre Firefox quand on clique sur un lien externe. </p>

<p class="definition">Définition à la ligne <a class="el" href="mytextbrowser_8py_source.html#l00032">32</a> du fichier <a class="el" href="mytextbrowser_8py_source.html">mytextbrowser.py</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="ac27da9805208f57e8a21cc327df19915"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac27da9805208f57e8a21cc327df19915">&#9670;&nbsp;</a></span>setHtml()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mytextbrowser.myTextBrowser.setHtml </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>url</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>lien vers la méthode setSource originale </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">url</td><td>l'adresse à ouvrir. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="mytextbrowser_8py_source.html#l00044">44</a> du fichier <a class="el" href="mytextbrowser_8py_source.html">mytextbrowser.py</a>.</p>

</div>
</div>
<a id="a766c57d93e23d3884cea57cd87710c89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a766c57d93e23d3884cea57cd87710c89">&#9670;&nbsp;</a></span>setSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mytextbrowser.myTextBrowser.setSource </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>url</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>lance Firefox en tâche de fond. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">url</td><td>l'adresse à ouvrir. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="mytextbrowser_8py_source.html#l00037">37</a> du fichier <a class="el" href="mytextbrowser_8py_source.html">mytextbrowser.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="mytextbrowser_8py_source.html">mytextbrowser.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1mytextbrowser.html">mytextbrowser</a></li><li class="navelem"><a class="el" href="classsrc_1_1mytextbrowser_1_1myTextBrowser.html">myTextBrowser</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
